Processes calculated bill aggregations within a billing period range
Executes one or more calculated bill aggregations ending with the specified billing period.
If no billing period is supplied, the current period is used. The number of periods processed
is determined by system configuration.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Request Body
ChargebackProcessorSettingsForAggregations
| Property | Description | Type | |||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| batchSettings | BatchCreate | ||||||||||||||||||||||||||||||||||
|
BatchCreate properties
|
|||||||||||||||||||||||||||||||||||
| billingPeriod | End period of Billing Period range to be processed Valid billing period between 190001 and 300001 | integer (int32) | |||||||||||||||||||||||||||||||||
| note | Optional note/comment | string | |||||||||||||||||||||||||||||||||
Example Request Body
{ "batchSettings": { "accountPeriodNumber": 1, "accountPeriodYear": 1, "batchCode": "string", "closeExistingBatch": false, "controlCode": "string", "dueDate": "2026-06-29", "invoiceNumber": "string", "nextReading": "2026-06-29", "note": "string", "statementDate": "2026-06-29"
}, "billingPeriod": 1, "note": "string"
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
ChargebackTaskResponse
| Property | Description | Type | |||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| batch | BatchChild | ||||||||||||||||||||||||||||||||||
|
BatchChild properties
|
|||||||||||||||||||||||||||||||||||
| billingPeriod | The billing period the task was run for | integer (int32) | |||||||||||||||||||||||||||||||||
| chargebackType | The chargeback type. Either “Split” or “Calculation” | string | |||||||||||||||||||||||||||||||||
| comment | User comments on the task | string | |||||||||||||||||||||||||||||||||
| numberOfAnalyzingBills | The number of bills that are currently analyzing within the task | integer (int32) | |||||||||||||||||||||||||||||||||
| numberOfBillsCreated | The number of bills created by the task | integer (int32) | |||||||||||||||||||||||||||||||||
| numberOfFailedVersions | The number of chargeback versions that failed to run within the task | integer (int32) | |||||||||||||||||||||||||||||||||
| numberOfUnresolvedFlags | The number of unresolved flags on bills within the task | integer (int32) | |||||||||||||||||||||||||||||||||
| reversedBy | UserChild | ||||||||||||||||||||||||||||||||||
|
UserChild properties
|
|||||||||||||||||||||||||||||||||||
| reversedDate | The date when all bills generated by the task were voided or deleted | string (date-time) | |||||||||||||||||||||||||||||||||
| settings | The task’s settings | object | |||||||||||||||||||||||||||||||||
| status | Current status of the task | string | |||||||||||||||||||||||||||||||||
| taskBegin | Begin date when the task started | string (date-time) | |||||||||||||||||||||||||||||||||
| taskEnd | End date when the task ended | string (date-time) | |||||||||||||||||||||||||||||||||
| taskId | Identifier for the task | integer (int32) | |||||||||||||||||||||||||||||||||
| user | UserChild | ||||||||||||||||||||||||||||||||||
|
UserChild properties
|
|||||||||||||||||||||||||||||||||||
| workflow | ChargebackWorkflowStepChild | ||||||||||||||||||||||||||||||||||
|
ChargebackWorkflowStepChild properties
|
|||||||||||||||||||||||||||||||||||
Example Response
{ "batch": { "batchCode": "string", "batchId": 1
}, "billingPeriod": 1, "chargebackType": "string", "comment": "string", "numberOfAnalyzingBills": 1, "numberOfBillsCreated": 1, "numberOfFailedVersions": 1, "numberOfUnresolvedFlags": 1, "reversedBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "reversedDate": "2026-06-29", "settings": {}, "status": "string", "taskBegin": "2026-06-29", "taskEnd": "2026-06-29", "taskId": 1, "user": { "fullName": "string", "userCode": "string", "userId": 1
}, "workflow": { "chargebackWorkflow": { "chargebackWorkflowId": 1, "chargebackWorkflowInfo": "string"
}, "chargebackWorkflowStepDescription": "string", "chargebackWorkflowStepId": 1, "chargebackWorkflowStepInfo": "string", "chargebackWorkflowStepOrder": 1, "chargebackWorkflowStepType": "string"
}
}